Bug 247980 - RFE: (strong and weak) service dependencies
Summary: RFE: (strong and weak) service dependencies
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 250101
Blocks: 247772
TreeView+ depends on / blocked
 
Reported: 2007-07-12 14:07 UTC by Nils Philippsen
Modified: 2009-04-16 20:22 UTC (History)
5 users (show)

Fixed In Version: RHBA-2008-0791
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:15:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0791 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2008-07-25 19:14:58 UTC

Description Nils Philippsen 2007-07-12 14:07:05 UTC
+++ This bug was initially created as a clone of Bug #247783 +++

For SAP server systems, to be able to describe in which order e.g. the
underlying database and the SAP application server are started, a way to define
dependencies between services in the Cluster Suite is needed.

One service should be able to depend on multiple other services, e.g. an SAP
application service needs the database as well as its so-called central instance
service.

These dependencies should be definable as "strong" or "weak" (or whatever
terminology fits best here). If service A depends on service B, "strong" would
mean that A must be stopped if B fails and started again when B recovers. "Weak"
would mean that A must be started after B is started but can recover by itself
if B fails during operation. For example, an SAP application server needs a
running DB to start (otherwise it bails out with an error message) but can
recover by itself if the DB fails and gets restarted. In this case it would
rollback unsaved transactions, but the user sessions would be preserved. If the
application server would get restarted in the event of a DB failure, all user
sessions would be lost which is quite undesirable.

-- Additional comment from nphilipp@redhat.com on 2007-07-11 09:22 EST --
Created an attachment (id=158945)
Patch against RHCS4 to implement dependencies between services

The patch I mailed to you ages ago which should implement dependencies between
services as an OCF script. It implements a "needs_recovery" flag which if true
would define a "strong" dependency or if false a weak one. Mind that I haven't
tested it thoroughly at that time and don't know if it is applicable to the
current version.

Comment 1 Russell Doty 2007-08-06 18:46:28 UTC
Set flags to propose for RHEL 4.7.

Comment 2 Lon Hohberger 2008-04-15 15:07:05 UTC
Pushed to RHEL4 git branch

Comment 5 errata-xmlrpc 2008-07-25 19:15:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html



Note You need to log in before you can comment on or make changes to this bug.